Subject: [Sip] NAPTR look up in RFC 3263

From: "Jeff zhao" <[email-masked]>
Date: Sun, 10 Aug 2003 12:46:48 +0800

Hi:
   In section 8 of RFC 3263, the "First Well Known Rule" extracts the "host" portion of the SIP or SIPS URI. The key then is to be used to look up the DNS.

   But to my opinion, we should use the "Domain" name to look up DNS for it's NAPTR RR.
When we use the "host" portion of a URI to look up DNS, how can we get the NAPTR RR?

   Would someone pleast tell me "what" the resolver use to look up DNS for NAPTR RR.

Jeff

---

From: [email-masked]
Date: Tue, 12 Aug 2003 09:42:36 +0530

Hi Jeff,

The "host" part of URI can be a domain(e.g. example.com), or
a host(host1.example.com) or a numeric IP.
If the "host" part is a domain NAPTR lookup will succeed  and you
will proceed as specified in the rfc. Otherwise, NAPTR lookup
will fail (and so does SRV lookup) and the host will be resolved
using A / AAAA record lookup.
Hope this clarifies.

Regds,
Lalith

[email-masked] wrote on 08/10/2003 10:16:48 AM:

> Hi:
>    In section 8 of RFC 3263, the "First Well Known Rule" extracts
> the "host" portion of the SIP or SIPS URI. The key then is to be
> used to look up the DNS.
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip